using System;

internal sealed class Delegate474 : MulticastDelegate
{
	public extern Uri Invoke(object object_0);

	public static Uri smethod_0(object object_0, Delegate474 delegate474_1)
	{
		return delegate474_1(object_0);
	}

	public extern Delegate474(object object_0, IntPtr intptr_0);

	static Delegate474()
	{
		Class10.smethod_13(typeof(Delegate474).TypeHandle);
	}

	internal static Delegate474 delegate474_0;
}
